Skip Menu |
 

This queue is for tickets about the Dancer2-Plugin-WebService CPAN distribution.

Report information
The Basics
Id: 130836
Status: new
Priority: 0/
Queue: Dancer2-Plugin-WebService

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in:
  • 4.2.0
  • 4.2.1
Fixed in: (no value)



Subject: syntax error with older perls
t/00-load.t fails with older perls (<= 5.18.4): ... # Failed test 'use Dancer2::Plugin::WebService;' # at t/00-load.t line 9. # Tried to use 'Dancer2::Plugin::WebService'. # Error: syntax error at /usr/home/cpansand/.cpan/build/2019102907/Dancer2-Plugin-WebService-4.2.1-3/blib/lib/Dancer2/Plugin/WebService.pm line 595, near "}{" # BEGIN not safe after errors--compilation aborted at /usr/home/cpansand/.cpan/build/2019102907/Dancer2-Plugin-WebService-4.2.1-3/blib/lib/Dancer2/Plugin/WebService.pm line 596. # Compilation failed in require at t/00-load.t line 9. # BEGIN failed--compilation aborted at t/00-load.t line 9. Use of uninitialized value $Dancer2::Plugin::WebService::VERSION in concatenation (.) or string at t/00-load.t line 11. # Testing Dancer2::Plugin::WebService , Perl 5.016003, /usr/perl5.16.3t/bin/perl # Looks like you failed 1 test of 1. t/00-load.t ............ Dubious, test returned 1 (wstat 256, 0x100) Failed 1/1 subtests ... See also http://matrix.cpantesters.org/?dist=Dancer2-Plugin-WebService%204.2.0 for an overview of test reports.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.